<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package houston-theme
 */

$page_id = get_option('page_on_front');
$site_name = get_bloginfo('name');
$footer_background_image = get_field('footer_background_image','option');


?>

<footer id="colophon" class="site-footer" <?php echo (!empty($footer_background_image)) ? 'style="background-image: url(\'' . $footer_background_image['url'] . '\');"' : ''; ?>>
	<div class="site-info">
		<div class="container">
			<div class="footer-box">
				<div class="row">
					<?php 
						$footer_form_title = get_field('footer_form_title','option');
						$footer_form_shortcode = get_field('footer_form_shortcode','option');	
						if(!empty($footer_form_shortcode)) { 
					?>
					<div class="col-lg-8">
						<div class="contact-form wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
							<?php if(!empty($footer_form_title)) { ?><h2 class="h2-title"><?php echo $footer_form_title; ?></h2> <?php } 
							
								echo do_shortcode('[contact-form-7 id="' . $footer_form_shortcode->ID . '" title="' . $footer_form_shortcode->post_title . '"]'); 
							?>
						</div>
					</div>
					<?php } 
					
						$email = get_field('email', 'option');
						$address = get_field('address', 'option');
						$address_url = get_field('address_url','option');
						$phone_number = get_field('phone_number', 'option');
						$phone_link = preg_replace('/\D/', '', $phone_number);
						$facebook = get_field('facebook', 'option');
						$instagram = get_field('instagram', 'option');
						$twitter = get_field('twitter', 'option');
						$footer_logo = get_field('site_logo','option');

						if(!empty($footer_logo) || !empty($email) || !empty($address) || !empty($phone_number) || !empty($facebook) || !empty($instagram) || !empty($twitter) || !empty($footer_logo)) {
					?>
						<div class="col-lg-4">
							<div class="footer-details wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
								<?php if(!empty($footer_logo)) { ?>
									<div class="footer-logo">
										<a title="<?php echo $site_name; ?>" href="<?php echo home_url(); ?>">
											<img width="198" height="112" src="<?php echo $footer_logo; ?>" alt="<?php echo $site_name; ?>">
										</a>
									</div>
								<?php } ?>
								<div class="footer-right">
									<?php if (!empty($email) || !empty($address) || !empty($phone_number)) { ?>
										<div class="footer-info">
											<ul>
												<?php if (!empty($email)) { ?>
													<li>
														<a title="<?php echo $email; ?>" href="mailto:<?php echo $email; ?>"><i class="fab fa-telegram-plane" aria-hidden="true"></i> <?php echo $email; ?></a>
													</li>
												<?php }
												
												if (!empty($address)) { ?>
													<li>
														<?php if (!empty($address_url)) { ?>
															<a href="<?php echo $address_url; ?>" title="<?php echo $address; ?>" target="_blank" class="footer-add-link">
															<i class="fas fa-map-marker-alt" aria-hidden="true"></i>
																<?php echo $address; ?>
															</a>
														<?php } else { ?>
															<span class="text">
															<i class="fas fa-map-marker-alt" aria-hidden="true"></i>  <?php echo $address; ?>
															</span>
														<?php } ?>
													</li>
												<?php }
												
												if (!empty($phone_number)) { ?>
													<li>
														<a title="<?php echo $phone_number; ?>" href="tel:<?php echo $phone_link; ?>"><i class="fas fa-phone-alt" aria-hidden="true"></i><span class="callus"> <?php echo $phone_number; ?></span></a>
													</li>
												<?php } ?>
											</ul>
										</div>
									<?php } 

										if (!empty($facebook) || !empty($instagram) || !empty($twitter)) {
									?>
									<div class="footer-social">
										<ul>
											<?php
											
											if (!empty($facebook)) { ?>
												<li>
													<a title="<?php echo $facebook['title']; ?>" href="<?php echo $facebook['url']; ?>" target="_blank"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
												</li>
											<?php
											}
											
											if (!empty($instagram)) { ?>
												<li>
													<a title="<?php echo $instagram['title']; ?>" href="<?php echo $instagram['url']; ?>" target="_blank"><i class="fab fa-instagram" aria-hidden="true"></i></a>
												</li>
											<?php
											}
											
											if (!empty($twitter)) { ?>
												<li>
													<a title="<?php echo $twitter['title']; ?>" href="<?php echo $twitter['url']; ?>" target="_blank"><i class="fab fa-twitter" aria-hidden="true"></i></a>
												</li>
											<?php } ?>
										</ul>
									</div>
									<?php } ?>
								</div>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div><!-- .site-info -->
	<div class="footer-bottom">
		<?php 
			$footer_mobile_background_image = get_field('footer_mobile_background_image','option');
			if(!empty($footer_mobile_background_image)) {
			?>
			<div class="footer-bottom-img for-mob">
				<div class="back-img" style="background-image: url('<?php echo $footer_mobile_background_image['url']; ?>');"></div>
			</div>
		<?php } ?>
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					<div class="footer-menu">
						<?php
						wp_nav_menu(
							array(
								'theme_location' => 'footer-menu',

							)
						);
						?>
					</div>
					<div class="copyright text-center">
						<div class="footer-bottom-link">
							<ul>
								<li>&copy; <?php echo date('Y') . " " .$site_name; ?> </li>
								<?php
									wp_nav_menu(
										array(
											'theme_location' => 'policy-menu',
											'container' => false,
											'items_wrap' => '%3$s'
										)
									);
								?>
							</ul>
						</div>
						<?php 
							$footer_dotcom_design_content = get_field('footer_dotcom_design_content','option');
							if(!empty($footer_dotcom_design_content)){
						?>
						<div class="footer-other-link">
							<?php echo $footer_dotcom_design_content; ?>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>

			<?php 
				$seo_button_label = get_field('seo_button_title','option');
				$seo_menu = wp_get_nav_menu_items('seo-menu');
				
				if ((is_page_template('template-seo.php') || is_author() || is_category() || is_home() || is_single() || is_tag() || is_search()) && (!empty($seo_menu))) {
			?>
				<div class="row">
					<div class="col-lg-12">
						<div class="footer-last">
							<?php if(!empty($seo_button_label)) {?>
								<span class="text view_services_text" id="view_all_services" title="<?php echo $seo_button_label; ?>"><?php echo $seo_button_label; ?></span>
							<?php } ?>
							<div class="all-services">
								<?php
								wp_nav_menu(array(
									'theme_location' => 'seo-menu',
								));
								?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</footer><!-- #colophon -->	

<?php 
	$get_an_astimate_form_title = get_field('get_an_estimate_form_title','option');
	$get_an_astimate_form = get_field('get_an_estimate_form','option');

	if(!empty($get_an_astimate_form_title)) {
?>
<!-- CTA Button Start -->
	<button class="sec-btn cta-btn" aria-label="<?php echo $get_an_astimate_form_title; ?>" type="button" data-bs-toggle="modal" data-bs-target="#schedule_an_estimate_Modal" name="<?php echo $get_an_astimate_form_title; ?>"><?php echo $get_an_astimate_form_title; ?></button>
<!-- CTA Button End -->
<?php } 

	if(!empty($get_an_astimate_form)) {
?>
<!-- Modal Start -->
<div class="modal common-popup" id="schedule_an_estimate_Modal">
	<div class="modal-dialog">
		<div class="modal-content">
			<?php if(!empty($get_an_astimate_form_title)) {?>
				<div class="popup-title">
					<h2 class="h2-title"><?php echo $get_an_astimate_form_title; ?></h2>
					<button type="button" class="close close-popup" data-bs-dismiss="modal"><i class="fas fa-times"></i></button>
				</div>
			<?php } ?>
			<div class="common-popup-overflow">
				<div class="common-popup-text" data-simplebar>
					<div class="contact-form">
						<?php echo do_shortcode('[contact-form-7 id="' . $get_an_astimate_form->ID . '" title="' . $get_an_astimate_form->post_title . '"]'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- Modal End -->
<?php } ?>

</div><!-- #page -->

<?php wp_footer(); ?>

</body>

</html>