<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package houston-theme
 */



?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/Poppins-Bold.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/Poppins-SemiBold.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/Poppins-Medium.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/Poppins-Regular.woff2" as="font" type="font/woff2" crossorigin>
	<link rel="preload" href="<?php echo get_template_directory_uri(); ?>/assets/fonts/Poppins-Light.woff2" as="font" type="font/woff2" crossorigin>
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">

		<header id="masthead" class="site-header">
			<div class="container">
				<div class="row">
					<div class="col-lg-3">
						<div class="site-branding">
							<?php
							the_custom_logo();
							?>
						</div><!-- .site-branding -->
					</div>
					<div class="col-lg-9">
						<div class="header-menu">
							<nav id="site-navigation" class="main-navigation">
								<button class="menu-toggle" aria-controls="header-menu" aria-expanded="false">
									<span></span>
									<span></span>
									<span></span>
								</button>
								<?php
									$phone_number = get_field('phone_number', 'option');
									$phone_link = preg_replace('/\D/', '', $phone_number);
									if (!empty($phone_number)) { 
								?>
									<a class="for-mob header-call-btn callus" title="<?php echo $phone_number; ?>" href="tel:<?php echo $phone_link; ?>"><i class="fas fa-phone-alt" aria-hidden="true"></i> </a>
								<?php } ?>
								<div class="header-mobile-menu">
									<?php
									wp_nav_menu(
										array(
											'theme_location' => 'header-menu',
											'menu_id'        => 'header-menu',
										)
									);

									$email = get_field('email', 'option');
									$get_an_estimate_form_title = get_field('get_an_estimate_form_title','option');
										if(!empty($email) || !empty($phone_number) || !empty($get_an_estimate_form_title)) {
									?>
									<div class="header-contact-info for-mob footer-info">
										<ul>
											<?php if (!empty($email)) { ?>
												<li><a title="<?php echo $email; ?>" href="mailto:<?php echo $email; ?>"><i class="fab fa-telegram-plane" aria-hidden="true"></i> <?php echo $email; ?></a></li>
											<?php }

												if (!empty($phone_number)) { 
											?>
												<li>
													<a title="<?php echo $phone_number; ?>" href="tel:<?php echo $phone_link; ?>"><i class="fas fa-phone-alt" aria-hidden="true"></i> <span class="callus"><?php echo $phone_number; ?></span></a>
												</li>
											<?php } ?>
										</ul>
										<?php if(!empty($get_an_estimate_form_title)) { ?>			
											<button type="button" aria-label="<?php echo $get_an_estimate_form_title; ?>"  data-bs-toggle="modal" data-bs-target="#schedule_an_estimate_Modal" class="sec-btn" name="<?php echo $get_an_estimate_form_title; ?>"> 
												<?php echo $get_an_estimate_form_title; ?> 
											</button>
										<?php } ?>
										
										<div class="header-mob-pattern pattern for-mob"></div>
									</div>
									<?php } ?>
								</div>
							</nav><!-- #site-navigation -->
							<?php 
								$facebook = get_field('facebook', 'option');
								$instagram = get_field('instagram', 'option');
								$twitter = get_field('twitter', 'option');
								
								if(!empty($facebook) || !empty($instagram) || !empty($twitter)) {
							?> 
							<div class="header-social-icon">
								<?php if (!empty($facebook)) { ?>
									<a title="<?php echo $facebook['title']; ?>" href="<?php echo $facebook['url']; ?>" target="_blank"><i class="fab fa-facebook-f" aria-hidden="true"></i></a>
								<?php }
																
								if (!empty($instagram)) { ?>
									<a title="<?php echo $instagram['title']; ?>" href="<?php echo $instagram['url']; ?>" target="_blank"><i class="fab fa-instagram" aria-hidden="true"></i></a>
								<?php }
								
								if (!empty($twitter)) { ?>
									<a title="<?php echo $twitter['title']; ?>" href="<?php echo $twitter['url']; ?>" target="_blank"><i class="fab fa-twitter" aria-hidden="true"></i></a>
								<?php } ?>
							</div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</header><!-- #masthead -->