
<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package houston-theme
 */

get_header();
?>

	<!-- Main Banner Start -->
	<section class="main-banner common-banner" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2022/12/entry-doors-image.jpg');">
		<div class="container">
			<div class="row">
				<div class="col-lg-8">
					<div class="banner-content">
						<div class="banner-pattern pattern"></div>
						<h1 class="h1-title">Blog</h1> 
					</div>
				</div>
			</div>
		</div>
	</section>
	<!-- Main Banner End -->
<div class="inner-page-text">
	<div class="container">
		<div class="row">
			<div class="col-lg-8">
				<div id="primary" class="content-area">
					<main id="main" class="site-main">

						<?php
						if ( have_posts() ) :
							/* Start the Loop */
							while ( have_posts() ) :
								the_post();

								/*
								 * Include the Post-Type-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
								 */
								get_template_part( 'template-parts/content', get_post_type() );

							endwhile;
				
							echo paginate_links();

						else :

							get_template_part( 'template-parts/content', 'none' );

						endif;
						?>

					</main><!-- #main -->
				</div><!-- #primary -->
			</div>
			<div class="col-lg-4">	
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
