<?php 
    $home_banner_background_image = get_field('home_banner_background_image');
    $banner_title = get_field('home_banner_title');
    $banner_sub_title = get_field('home_banner_sub_title');
    $phone_number = get_field('phone_number', 'option');
    $phone_link = preg_replace('/\D/', '', $phone_number);
    $desktop_phone_number_label = get_field('homw_banner_call_button_label');
    $mobile_phone_number_label = get_field('home_banner_mobile_call_button_label');
    $get_an_estimate_button_title = get_field('home_banner_form_title');
    $home_banner_main_image = get_field('home_banner_main_image');
    $home_banner_sub_image = get_field('home_banner_sub_image');

?>
<!-- Main Banner Start -->
<section class="main-banner" <?php echo (!empty($home_banner_background_image)) ? 'style="background-image: url(\'' . $home_banner_background_image['url'] . '\');"' : ''; ?>>
    <div class="container">
        <div class="row">
            <?php if(!empty($banner_title) || !empty($banner_sub_title) || !empty($get_an_estimate_button_title) || !empty($phone_number)) {?>
            <div class="col-lg-6">                
                <div class="banner-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="banner-pattern pattern"></div>
                    <?php if (!empty($banner_title)) { ?>
                        <h1 class="h1-title"><?php echo $banner_title; ?></h1>
                    <?php }
                    
                    if (!empty($banner_sub_title)) { ?>
                        <h4 class="h4-title"><?php echo $banner_sub_title; ?></h4>
                    <?php } 

                        if(!empty($get_an_estimate_button_title) || !empty($phone_number)) {
                    ?>
                    <div class="banner-btn">
                        <?php if(!empty($get_an_estimate_button_title)) {?>
                            <button type="button" aria-label="<?php echo $get_an_estimate_button_title; ?>" data-bs-toggle="modal" data-bs-target="#schedule_an_estimate_Modal" class="sec-btn" name="<?php echo $get_an_estimate_button_title; ?>"><?php echo $get_an_estimate_button_title; ?></button>
                        <?php }
                        
                        if (!empty($phone_number)) { ?>
                            <a href="tel:<?php echo $phone_link; ?>" class="sec-btn outline-btn" title="<?php echo $desktop_phone_number_label . " " . $phone_number; ?>"><?php echo $desktop_phone_number_label; ?> 
                                    <?php if(!empty($mobile_phone_number_label)) {?>
                                        <span class="callus for-mob"><?php echo $mobile_phone_number_label; ?></span> 
                                    <?php } ?>
                                <span class="callus for-des"><?php echo $phone_number; ?></span>
                            </a>
                        <?php } ?>
                    </div>
                    <?php } ?>
                </div>
            </div>
            <?php }

                if(!empty($home_banner_main_image) || !empty($home_banner_sub_image)) {
                ?>
                <div class="col-lg-6">
                    <div class="banner-img-wp">
                        <div class="banner-img-pattern for-des pattern wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"></div>
                        <?php if(!empty($home_banner_main_image)) {?>
                            <div class="banner-img for-des wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                <div class="back-img" style="background-image: url('<?php echo $home_banner_main_image['url']; ?>');"></div>
                            </div>
                        <?php } 

                            if(!empty($home_banner_sub_image)) {
                            ?>
                            <div class="banner-img for-des small-img back-img wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                <div class="back-img" style="background-image: url('<?php echo $home_banner_sub_image['url']; ?>');"></div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- Main Banner End -->

<?php 
    $home_about_title = get_field('home_about_title');
    $home_about_content = get_field('home_about_content'); 
    $images = get_field('home_about_gallery');   
    
    if(!empty($home_about_title) || !empty($home_about_content) || !empty($images)) {
?>
<!-- About_US section Start -->
<section class="about-us-section" id="about">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="about-content wow left-animation" data-wow-duration="0.8s">
                    <?php if (!empty($home_about_title)) { ?>
                        <h2 class="h2-title"><?php echo $home_about_title; ?></h2>
                    <?php } 

                        if(!empty($home_about_content)) {
                        ?>
                        <div class="about-text" data-wow-delay="0.3s" data-simplebar="init">
                            <?php echo $home_about_content; ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php if (!empty($images)) { ?>
                <div class="col-lg-6">
                    <div class="about-img-wp wow right-animation" data-wow-duration="0.8s">
                        <div class="about-pattern pattern"></div>
                        <div class="about-slider">
                            <?php foreach ($images as $image) { ?>
                                <div class="about-slider-img">
                                    <div class="back-img" style="background-image: url('<?php echo $image['url']; ?>');"></div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- About_US section End -->
<?php } 

    $home_promise_title = get_field('home_promise_title');
    $home_promise_image = get_field('home_promise_image');
    $home_promise_content = get_field('home_promise_content');
    
    if(!empty($home_promise_title) || !empty($home_promise_content) || !empty($home_promise_image) || have_rows('home_promise_list')) {
?>
<!-- Our Promise section Start -->
<section class="our-promise-section">
    <div class="container">
        <div class="row">
            <?php if(!empty($home_promise_image)) { ?>
                <div class="col-lg-6 order-lg-1 order-2">
                    <div class="common-img-box wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <div class="our-promise-pattern pattern"></div>
                        <div class="back-img" style="background-image: url('<?php echo $home_promise_image['url']; ?>');"></div>
                    </div>
                </div>
            <?php } ?>
            <div class="col-lg-6 order-lg-2 order-1">
                <div class="common-content-box">
                    <?php if (!empty($home_promise_title)) { ?>
                        <h2 class="h2-title wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $home_promise_title; ?></h2>
                    <?php } 

                        if(!empty($home_promise_content)) {
                    ?>
                    <div class="common-text-box wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <?php echo $home_promise_content; ?>
                    </div>
                    <?php } 

                    if (have_rows('home_promise_list')) { ?>
                        <div class="our-promise-listing">
                            <?php
                            $i = 4;
                            while (have_rows('home_promise_list')) {
                                the_row(); 
                                    $list_title = get_sub_field('list_title');
                                    $list_image = get_sub_field('list_image');
                                ?>
                                <div class="our-promise-image wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.<?php echo $i; ?>s">
                                    <?php if(!empty($list_image)) { ?>
                                        <img width="100" height="100" src="<?php echo $list_image['url']; ?>" alt="custom project icon <?php echo get_row_index(); ?>">
                                    <?php } 
                                    
                                    if (!empty($list_title)) { ?>
                                        <h6><?php echo $list_title; ?></h6>
                                    <?php
                                    } ?>
                                </div>
                            <?php $i++;
                            } ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Promise section End -->
<?php } 

    $home_service_title = get_field('home_service_title'); 
    if(!empty($home_service_title) || have_rows('services')) {                        
?>
<!-- Our Services section Start -->
<section class="our-services-section" id="services">
    <div class="container">
        <div class="row">
            <div class="col-lg-3">
                <?php if (!empty($home_service_title)) { ?>
                    <div class="title">
                        <h2 class="h2-title wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $home_service_title; ?></h2>
                    </div>
                <?php } ?>
            </div>
            <div class="col-lg-9">
                <div class="slider-tab wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <button class="sec-btn tab-dropdown for-mob" type="button">Courtyard Gates</button>
                </div>
            </div>
        </div>
    </div>
    <?php if (have_rows('services')) { ?>
        <div class="service-container service-slider">
            <?php
            while (have_rows('services')) {
                the_row(); 
                    $services_background_image = get_sub_field('services_background_image');
                    $services_title = get_sub_field('services_title');
                    $services_see_more_text = get_sub_field('services_see_more_text');
                    $services_see_more_link = get_sub_field('services_see_more_link');
                    $services_content = get_sub_field('services_content');
                ?>
                <div class="our-service-box">
                    <?php if(!empty($services_background_image)) { ?>
                        <div class="back-img" style="background-image: url('<?php echo $services_background_image; ?>');"></div>
                    <?php } ?>
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-7">
                                <div class="service-slider-content white-text wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s" title="<?php echo $services_title; ?>">

                                    <?php if (!empty($services_title)) { ?>
                                        <h2 class="h2-title"><?php echo $services_title; ?></h2>
                                    <?php } 

                                        echo $services_content; 

                                    if (!empty($services_see_more_link) && !empty($services_see_more_text)) { ?>
                                        <a title="<?php echo $services_title ." , ". $services_see_more_text; ?>" href="<?php echo $services_see_more_link; ?>" data-type="yard-gates" class="sec-btn outline-btn"><?php echo $services_see_more_text; ?></a>
                                    <?php } ?>
                                    <div class="service-box-pattern pattern"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    <?php } ?>
</section>
<!-- Our Services section End -->
<?php } ?>

<!-- Review section Start -->

<?php get_template_part('template-parts/content', 'review'); ?>

<!-- Review section End -->

<!-- Gallery section Start -->

<?php get_template_part('template-parts/content', 'photo-gallery'); ?>

<!-- Gallery section End -->