<?php 
    $frontpage_id = get_option('page_on_front'); 
    $home_banner_background_image = get_field('home_banner_background_image',$frontpage_id);
    $seo_form_title = get_field('seo_form_title','option');
    $seo_form = get_field('seo_form','option');
    $banner_title = get_field('home_banner_title', $frontpage_id);
    $banner_sub_title = get_field('home_banner_sub_title', $frontpage_id);
    $phone_number = get_field('phone_number', 'option');
    $phone_link = preg_replace('/\D/', '', $phone_number);
    $desktop_phone_number_label = get_field('homw_banner_call_button_label',$frontpage_id);
    $mobile_phone_number_label = get_field('home_banner_mobile_call_button_label',$frontpage_id);

?>
<!-- Main Banner Start -->
<section class="main-banner seo-banner" <?php echo (!empty($home_banner_background_image)) ? 'style="background-image: url(\'' . $home_banner_background_image['url'] . '\');"' : ''; ?>>
    <div class="container">
        <div class="row">
            <?php if(!empty($seo_form)) { ?>
            <div class="col-xl-5 col-lg-6 order-lg-1 order-2">
                <div class="seo-form wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="service-box-pattern pattern"></div>
                    <?php if(!empty($seo_form_title)) { ?>
                        <h2 class="h2-title"><?php echo $seo_form_title; ?></h2>
                    <?php } 

                        echo do_shortcode('[contact-form-7 id="' . $seo_form->ID . '" title="' . $seo_form->post_title . '"]'); 
                    ?>
                </div>
            </div>
            <?php } 
            
                if(!empty($banner_title) || !empty($banner_sub_title) || !empty($phone_number)) {
                ?>
                <div class="col-lg-6 offset-xl-1 order-lg-2 order-1">
                    <div class="banner-content">
                        <?php if (!empty($banner_title)) { ?>
                            <h2 class="h1-title wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $banner_title; ?></h2>
                        <?php } 
                        
                        if (!empty($banner_sub_title)) { ?>
                            <h4 class="h4-title wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.3s"> <?php echo $banner_sub_title; ?></h4>
                        <?php
                        }
                        ?>
                        <div class="banner-btn">
                            <?php if (!empty($phone_number)) { ?>
                                <a href="tel:<?php echo $phone_link; ?>" class="sec-btn outline-btn wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.5s" title="<?php echo $desktop_phone_number_label ." ". $phone_number; ?>"><?php echo $desktop_phone_number_label; ?> 
                                    <span class="callus for-mob"><?php echo $mobile_phone_number_label; ?></span> 
                                    <span class="callus for-des"><?php echo $phone_number; ?></span>
                                </a>
                            <?php } ?>
                            
                        </div>
                    </div>
                </div>
            <?php } ?>            
        </div>
    </div>
</section>
<!-- Main Banner End -->

<?php 
    $about_title = get_field('home_about_title', $frontpage_id);
    $home_about_content = get_field('home_about_content', $frontpage_id);
    $images = get_field('home_about_gallery', $frontpage_id);

    if(!empty($about_title) || !empty($home_about_content) || !empty($images)) {
?>
<!-- About_US section Start -->
<section class="about-us-section">
    <div class="container">
        <div class="row">
            <?php if(!empty($about_title) || !empty($home_about_content)) { ?>
            <div class="col-lg-6">
                <div class="about-content">
                    <?php if (!empty($about_title)) { ?>
                        <h2 class="h2-title wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s"><?php echo $about_title; ?></h2>
                    <?php } 

                        if(!empty($home_about_content)) { ?>
                        <div class="overflow-text wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.3s" data-simplebar="init">
                            <?php echo $home_about_content; ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
            <?php }

            if (!empty($images)) { ?>
                <div class="col-lg-6">
                    <div class="about-img-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <div class="about-pattern pattern"></div>
                        <div class="about-slider">
                            <?php foreach ($images as $image) { ?>
                                <div class="about-slider-img">
                                    <div class="back-img" style="background-image: url('<?php echo esc_url($image['url']); ?>');"></div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- About_US section End -->
<?php } ?>

<section class="main-seo-content">
    <div class="seo-pattern for-des pattern"></div>
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="seo-title">
                    <h1 class="sec-head h2-title"><?php the_title(); ?></h1>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="excerpt-content">
                    <?php the_content(); ?>
                </div>
                <div class="submit-btn">
                    <button type="button" title="Read more" id="read-more" class="sec-btn sm-btn bg-btn">
                        <span>Read more</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="seo-pattern2 for-des pattern"></div>
</section>


<!-- Review section Start -->

<?php get_template_part('template-parts/content', 'review'); ?>

<!-- Review section End -->