<?php 
    $services_banner_image  = get_field('banner_background__image'); 
    $baneer_title = get_field('baneer_title');
?>
<!-- Main Banner Start -->
<section class="main-banner inner-banner" <?php echo (!empty($services_banner_image)) ? 'style="background-image: url(\'' . $services_banner_image['url'] . '\');"' : ''; ?>>
    <div class="container">
        <div class="row">
            <div class="col-lg-7">
                <div class="banner-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <div class="banner-pattern pattern"></div>
                    <?php if (!empty($baneer_title)) { ?>
                        <h1 class="h1-title"><?php echo $baneer_title; ?></h1>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Main Banner End -->
<?php 
    $services_about_title = get_field('about_title');
    $services_about_content = get_field('about_content');
    $images = get_field('about_gallery');

    if(!empty($services_about_title) || !empty($services_about_content) || !empty($images)) {
?>
<!-- About_US section Start -->
<section class="about-us-section">
    <div class="container">
        <div class="row">
            <?php if(!empty($services_about_title) || !empty($services_about_content)) {?>
            <div class="col-lg-6">
                <div class="about-content wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                    <?php if (!empty($services_about_title)) { ?>
                        <h2 class="h2-title"><?php echo $services_about_title; ?></h2>
                    <?php } 

                        if(!empty($services_about_content)){ ?>
                            <div class="about-text" data-simplebar="init">
                                <?php echo $services_about_content; ?>
                            </div>
                    <?php } ?>
                </div>
            </div>
            <?php }

            if (!empty($images)) { ?>
                <div class="col-lg-6">
                    <div class="about-img-wp wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                        <div class="about-pattern pattern"></div>
                        <div class="about-pattern2 for-des pattern"></div>
                        <div class="about-slider">
                            <?php foreach ($images as $image) { ?>
                                <div class="about-slider-img">
                                    <div class="back-img" style="background-image: url('<?php echo $image['url']; ?>');"></div>
                                </div>
                            <?php
                            } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<!-- About_US section End -->
<?php } 

if (have_rows('service')) {
?>
<!-- Service Detail section Start -->
<section class="service-detail-container">
    <div class="container">
        <?php
            while (have_rows('service')) {
                the_row();
                $service_image = get_sub_field('service_image');
                if (get_row_index() % 2 == 0) { ?>
                    <div class="even-section service-inner-section">
                        <div class="row">
                            <?php if (have_rows('service_content')) {?>
                            <div class="col-lg-6">
                                <div class="common-content-box wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                    <?php
                                        while (have_rows('service_content')) {
                                            the_row();
                                            $service_content_title = get_sub_field('service_content_title');
                                            $service_content_detail = get_sub_field('service__content_detail');
                                            if (!empty($service_content_title)) { ?>
                                                <h2 class="h2-title"><?php echo $service_content_title; ?></h2>
                                            <?php } 
                                                if(!empty($service_content_detail)) {
                                            ?>
                                            <div class="common-text-box">
                                                <?php echo $service_content_detail; ?>
                                            </div>
                                        <?php }
                                        }
                                    ?>
                                </div>
                            </div>
                            <?php }
                            if(!empty($service_image)){?>
                                <div class="col-lg-6">
                                    <div class="common-img-box wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                        <div class="our-promise-pattern pattern"></div>                                    
                                        <div class="back-img" style="background-image: url('<?php echo $service_image; ?>');"></div>
                                    </div>
                                </div>
                            <?php } ?>   
                        </div>
                    </div>
                <?php } else { ?>
                    <div class="odd-section service-inner-section">
                        <div class="row">
                            <?php if(!empty($service_image)) {?>
                                <div class="col-lg-6 order-lg-1 order-2">
                                    <div class="common-img-box wow left-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                        <div class="our-promise-pattern pattern"></div>                                   
                                        <div class="back-img" style="background-image: url('<?php echo $service_image; ?>');"></div>
                                    </div>
                                </div>
                            <?php } 
                            if (have_rows('service_content')) { ?>   
                            <div class="col-lg-6 order-lg-2 order-1">
                                <div class="common-content-box wow right-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                    <?php
                                        while (have_rows('service_content')) {
                                            the_row();
                                            $service_content_title = get_sub_field('service_content_title');
                                            $service_content_detail = get_sub_field('service__content_detail');
                                            if (!empty($service_content_title)) { ?>
                                                <h2 class="h2-title"><?php echo $service_content_title; ?></h2>
                                            <?php } 
                                                if(!empty($service_content_detail)){
                                            ?>
                                            <div class="common-text-box">
                                                <?php echo $service_content_detail; ?>
                                            </div>
                                            <?php } 
                                        }
                                    ?>
                                </div>
                            </div>
                            <?php }  ?>
                        </div>
                    </div>
                <?php }
            }    
        ?>
    </div>
</section>
<!-- Service Detail section End -->
<?php } ?>